curl --request PATCH \
--url https://api.us.lexful.app/v1/users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Account-ID: <api-key>' \
--data '
{
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"account_scopes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"organization_scopes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.us.lexful.app/v1/users/{id}"
payload = {
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"account_scopes": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"organization_scopes": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"X-Account-ID": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Account-ID': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
email: 'jsmith@example.com',
first_name: '<string>',
last_name: '<string>',
account_scopes: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
organization_scopes: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.us.lexful.app/v1/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"account_scopes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"organization_scopes": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"first_name": "<string>",
"last_name": "<string>",
"external_ids": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_by": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}{
"status": 123,
"message": "<string>",
"error_id": "<string>",
"error_code": "<string>",
"developer_message": "<string>"
}Update a User
Update a user
Authorizations
Bearer token
Account ID
Path Parameters
User ID
Body
User email address
255User first name
1 - 100User last name
1 - 100User role
system_admin, system_support, admin, support, viewer, organization_viewer Array of account IDs the user has access to (or "*" for wildcard access)
UUID or wildcard "*"
Array of organization IDs the user has access to (or "*" for wildcard access)
UUID or wildcard "*"
Response
Default Response
User unique identifier
Account ID this user belongs to
User email address
User role
system_admin, system_support, admin, support, viewer, organization_viewer Array of account IDs the user has access to (or "*" for wildcard access)
UUID or wildcard "*"
Array of organization IDs the user has access to (or "*" for wildcard access)
UUID or wildcard "*"
User first name
User last name
External system ID mappings
Show child attributes
Show child attributes
User creation timestamp
Last update timestamp
User ID who created this user
User ID who last updated this user
Deletion timestamp
Was this page helpful?